# QSizeGrip Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QSizeGrip(QWidget parent)

### Constructor Properties

- prototype: The QSizeGrip prototype object

### Prototype Object Properties

The QSizeGrip prototype object inherits properties from the QWidget prototype object and also has the following properties.

- void setVisible(bool arg__1)
- QSize sizeHint()

### Instance Properties

QSizeGrip objects have no special properties beyond those inherited from the QSizeGrip prototype object.